package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.response.AssetBusinessFormCpResponse;
import org.apache.ibatis.annotations.Select;
import java.util.List;
/**
 * 资产新监管业务形态复制表(asset_business_form_cp)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetBusinessFormCpMapper extends BaseMapper<AssetBusinessFormCpResponse> {


    /**
     * 根据资产id查询业务主表原有id
     *
     * @param assetId 资产id
     * @return
     */
    @Select("select * from asset_business_form where asset_id =#{assetId}")
   List<AssetBusinessFormCpResponse>  findByassetId(Long assetId);

}

