package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.AssetCurrent;
import com.ruoyi.tc.entity.request.AssetCurrentPageRequest;
import com.ruoyi.tc.entity.response.AssetCurrentResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 现有资产复制表(AssetCurrentResponse)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetCurrentCpMapper extends BaseMapper<AssetCurrentResponse> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as 查询实体
     * @return 所有数据
     */
    Page<AssetCurrent> page(Page<AssetCurrent> page,@Param("req") AssetCurrentPageRequest as);

    List<AssetCurrent> page(@Param("req") AssetCurrentPageRequest as);


    /**
     * 逻辑删除
     */
    void deleteByUnitIds(List<Long> idList);
}

