package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.response.UnitOtherConcatCpResponse;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 单位其他联系人复制(unit_other_contact_cp)数据层
 *
 * @author ruoyi
 */
public interface UnitOtherConcatCpMapper extends BaseMapper<UnitOtherConcatCpResponse> {


    /**
     * 根据资产id资产供应链原有id
     *
     * @param assetId 资产id
     * @return
     */
    @Select("select * from unit_other_contact where asset_id =#{assetId}")
    List<UnitOtherConcatCpResponse> findByassetId(Long assetId);
}
